
CoR-Lab Tutorials - Tasks #1755
Tasks # 1416 (New): Pre-packaged installation tutorial
Extract different combinations of tools and installation methods from existing documentation
02/07/2014 04:25 PM - J. Wienke

Status: Resolved Start date: 02/07/2014
Priority: Normal Due date:
Assignee: S. Sharma % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description

Provide a table of which installation method is used on which OS from the existing documentation available at https://docs.cor-lab.org.
Find out what is still missing.

Either as Wiki page or in this issue.

Related issues:
Blocks CoR-Lab Tutorials - Tasks # 1756: Extract existing installation instru... New 02/07/2014

History
#1 - 02/25/2014 03:56 PM - S. Sharma

Please suggest if table structure like this would be fine :
OS     Languages    cpp                java    python    
    --     ----------  -----               ----    ------
win              from source             maven    pip
                 Windows installer

RSB    linux          from source          maven     pip        
---             maven
             ppkg

mac              from source              maven     pip
             homebrew
OS     Languages    cpp                java    python    
    --     ----------  -----               ----    ------
win              from source             maven    pip
                 Windows installer

cca    linux          from source          maven     pip        
---             maven
             ppkg

mac              from source              maven     pip
             homebrew

#2 - 02/25/2014 03:58 PM - S. Sharma
- File table.txt added

please ignore earlier comment as the formating has been completly gone wrong, refer the attached file to see table structure.
#3 - 02/25/2014 04:11 PM - J. Moringen

Suchit Sharma wrote:

please ignore earlier comment as the formating has been completly gone wrong, refer the attached file to see table structure.

As on off-topic remark: when putting arbitrary preformatted text into Redmine, there are two mechanism for keeping the original format

    -  @ (at-sign)

  For @preformatted text@ within a sentence
  

  The above example renders as:
  For preformatted text within a sentence
  (note typewriter font)

    -  The 
 block syntax:

  <pre>
  A whole block
  of preformatted text
  </pre>
  

  This example renders as

  A whole block
  of preformatted text
  

The pre block would have been suitable for putting your table into a Redmine comment.

#4 - 02/25/2014 04:15 PM - S. Sharma

Thanks Jan, could you please see if the table structure is fine. It is attached in previous comment.

#5 - 02/25/2014 04:16 PM - J. Moringen
It is also possible to format tables like this:

|_.Heading1 |_.Heading 2|
| Cell 1 1  | Cell 1 2  |
| Cell 2 1  | Cell 2 2  |

This renders as
Heading1 Heading 2

Cell 1 1 Cell 1 2
Cell 2 1 Cell 2 2
#6 - 02/25/2014 04:21 PM - J. Moringen

Suchit Sharma wrote:

Thanks Jan, could you please see if the table structure is fine. It is attached in previous comment.

Immediate observations
    -  The Java and Python implementations of project:rsb (RSB) can also be built from source on all supported operating systems
    -  There are no Java and Python implementations of project:cca (CCA)
    -  I am not sure whether it makes sense to group information by projects since we are aiming at a project-independent structure

@Sebastian: do you think we could arrange a meeting with Suchit later this week to discuss next steps?

#7 - 02/26/2014 12:34 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Interesting mechanism for the now are: maven, pypi, debian packages.

#8 - 02/26/2014 12:37 PM - J. Wienke

Jan Moringen wrote:

Interesting mechanism for the now are: maven, pypi, debian packages.

What about Homebrew?

Files
table.txt 665 Bytes 02/25/2014 S. Sharma
